Subject: RE: FW: WebFolders on Intranet

From: "Gerbert Orasche" <[email-masked]>
Date: Tue, 2 Jan 2001 09:52:53 +0100

I have forgotten to mention that the fatal hang of the whole desktop happens
with MS Office 2000 SR-1. However, all other versions of WebFolders (there
are quite many of them: Office, IE, OS etc.) also don't shut down the TCPIP
connection, which can lead to interesting effects with some WebDAV servers
like IIS.

I am still not sure, if we are talking about the same bug. After the user
has pressed the Cancel button there are no more flying folders. Users won't
even notice that the connection is still open until they have Office SR-1.

Gerbert

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Stewart Hersey
> Sent: Thursday, December 28, 2000 5:00 PM
> To: [email-masked]; Peter Pierrou; [email-masked];
> [email-masked]
> Subject: Re: FW: WebFolders on Intranet
>
>
> Ahhh! You have just described the FFFFOO effect (Files Flying
> Folder to Folder Out of Oblivion).
>
> We've experienced a similar kludge, although the error is rarely fatal.
>
> I expect Microsoft to post the patch on Windows Update once it's
> been compiled...
>
> S. Matthew Hersey
> President and CTO
> Newma Net Works, Inc.
> www.newma.com
>
> ----- Original Message -----
> From: "Gerbert Orasche" <[email-masked]>
> To: "Peter Pierrou" <[email-masked]>;
> <[email-masked]>; <[email-masked]>
> Sent: Thursday, December 28, 2000 4:50 AM
> Subject: RE: FW: WebFolders on Intranet
>
>
> Hi,
>
> > -----Original Message-----
> > From: [email-masked]
> > [mailto:[email-masked]]On Behalf Of Peter Pierrou
> > Sent: Wednesday, December 20, 2000 9:36 AM
> > To: [email-masked]; [email-masked]
> > Subject: Re: FW: WebFolders on Intranet
> >
> >
> > Hi!
> >
> > > Interested in getting in touch with any companies that are
> > using WebDAV on
> > > their Intranet.
> We are also using our own product within our Intra-/Extranet. However, we
> have been stumbling quite often over bugs in Microsoft's WebDAV client
> implementation. Only two weeks ago we have escalated a WebFolder
> problem to
> Redmond and hope to get a hotfix soon. It was about freezing Windows
> Explorer (and thus the whole desktop) whenever a user hits the
> Cancel button
> while uploading. The MS WebDAV client then stops to upload but the TCPIP
> connection stays open. Our server runs into a timeout, IIS
> doesn't (at least
> not within reasonable time)
>
> cu
> ___________________________________________________________________
> Gerbert Orasche, Senior Software Engineer
> Hyperwave Software R&D, Albrechtgasse 9/2, A-8010 Graz, Austria
>
> Tel: ++43-316-820918-11
> Fax: ++43-316-820918-99
> mailto:[email-masked]
> http://www.hyperwave.com
> ___________________________________________________________________
>
>
>

---

From: Douglas Steen <[email-masked]>
Date: Wed, 3 Jan 2001 09:43:33 -0600

It is not too surprising that the current versions have intractable
problems; releasing first-version code that works but not quite in all cases
is pretty standard -- and not only for Microsoft.  Honestly, I give them a
lot of credit for implementing the standard at all; I know of no other
company their size who has put WebDAV in both their flagship server (W2K)
and flagship client (Office2K) products.

However, the response "Why don't you use FrontPage extensions?" does worry
me.  Is this just ignorance of WebDAV from the support staff (which wouldn't
surprise me), or does it show a larger disregard for the protocol from
within Microsoft?  FrontPage extensions and WebDAV are -- in many respects
-- duplicate work.  If MS is dropping WebDAV in favor of FrontPage
extensions, or some other standard even, it could spell doom for a protocol
that has been (to say the least) widely ignored by the technical community.

Does anyone -- particularly from inside Microsoft -- care to comment on
this?  I'd really like some assurances, especially if they are backed up
with facts, that Microsoft is intending to fix these problems and to
continue to support the WebDAV protocol.

    Douglas R. Steen
    [email-masked]
    Drag-and-Drop Web Content Management
    http://www.eKeeper.com

-----Original Message-----
From: Gerbert Orasche [mailto:[email-masked]]
Sent: Wednesday, January 03, 2001 3:21 AM
To: Stewart Hersey; Douglas Steen
Cc: [email-masked]
Subject: RE: FW: WebFolders on Intranet

Stewart,

I am not completely sure, if I have understood your mail properly. As far as
I understand the WebDAV standard, it does not specifiy if the client
connection is done via a proxy or not. For me that means that a client has
to support any type of HTTP connection (also if MS is writing the client)
and if it can not handle direct HTTP it's simply a bug. Any TCPIP client
closes a connection, if the operation should be cancelled or at least sends
something saying: "Uh, I can't go on". MS WebDAV client does simply nothing.

Using a proxy is not really an option in many cases (I am still not sure if
it would help with our problem), because NTLM authentication does not work
via proxies. Again the WebDAV standard does not mention which HTTP
authentication method has to be used (which is not a flaw at all - WebDAV
shouldn't have to bother with authentication). Earlier versions of MSs
WebDAV client had severe problems with basic authentication, thus it worked
well only in combination with NTLM (or perhaps Digest) authentication.

What are you all thinking about this? Our customers pay a whole lot to
Microsoft to use their OSes and Office packages. (We are talking about
companies like Siemens, UBS etc.) Thus MS should provide a WebDAV
implementation, which is usable (at least with their own IIS WebDAV
implementation). First answer we got from all MS support levels was: "Why
don't you use Frontpage extensions?" which renders the IETF standard
useless.

Gerbert

> Sent: Wednesday, January 03, 2001 6:58 AM
> To: Douglas Steen
> Cc: [email-masked]

[...]

> What's New says (NOTE* Fix for Gerbert's XML/WebDAV on Intranet issue):
>
> "For servers running on an intranet, it's necessary to run the
> proxycfg.exe utility to configure WinHTTP to access HTTP and HTTPS
> servers through a proxy server. For example, you would use the
> proxycfg.exe utility as part of the deployment and installation
> process of an application that uses the ServerXMLHTTP component
> to access WinHTTP."
>
> proxycfg.exe can be downloaded here:
> http://msdn.microsoft.com/msdn-files/027/001/468/Proxycfg.exe
> For more information, please refer to the readme included with
> the download.
>
>
> Finally, the most recent MS threads regarding WinHTTP:
>
> -Is there any more information on WinHTTP. I would like to adjust
> the winHTTP Registry settings programmatically but can't find any
> information on the structure of the key.
> - Anonymous 20 Dec 2000
>
> -Re: WinHTTP
> No, at this time, the format of the WinHTTP proxy settings stored
> in the registry is not documented and cannot be changed
> programmatically.
> - Anonymous 29 Dec 2000
>
> Happy New Year!
>
> smh
>
> S. Matthew Hersey
> Newma Net Works
> www.newma.net
>
>
> From: "Douglas Steen" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, January 02, 2001 7:36 AM
> Does anyone know if this is simply another symptom of the problem MS has
> with its wininet.dll?  It sounds very similar: connection won't
> close, etc.
> They've got another web access interface now, in msxml3.dll, which
> specifically avoids use of wininet (see
> http://support.microsoft.com/support/kb/articles/Q237/9/06.ASP),
> and they've
> acknowledged it to be a problem.
>
> So, if this is the same problem, we can at least know that it has been
> recognized, and they know it needs to be fixed.
>
>     Douglas R. Steen
>     [email-masked]
>     Drag-and-Drop Web Content Management
>     http://www.eKeeper.com
>
>
> From: Gerbert Orasche [mailto:[email-masked]]
> Sent: Tuesday, January 02, 2001 2:53 AM
> To: Stewart Hersey; Peter Pierrou; [email-masked]; [email-masked]

---

From: "Sean Lyndersay" <[email-masked]>
Date: Wed, 3 Jan 2001 20:49:27 -0800

Microsoft has no plans for dropping WebDAV in favour of FPSE (FrontPage
Server Extensions) in favour or vice versa. Keep in mind that FPSE
significantly predates WebDAV, and millions of clients and servers (and
not just on Microsoft platforms) are using FPSE. Each of WebDAV and FPSE
have their advantages and disadvantages (for more information on FPSE do
a search from msdn.microsoft.com), and, while my comments should not be
taken as a statement of direction, I see a place for both protocols in
Microsoft products for the foreseeable. 

For what it's worth, the Web Folders client is actually a dual-client
supporting both FPSE and WebDAV servers (and automatically detecting
which is supported on a particular URL). Problems with the client should
be pursued through PSS (Product Support), as Gerbert has done. 

To address some of the comments made below by Stewart and others about
WinInet: WinInet is a Windows client API designed to make the job of
sending and receiving HTTP (as well as FTP and Gopher, I think) requests
and responses easier for client applications -- one of which is Internet
Explorer. Note that I'm stressing the word "client." There are a lot of
assumptions that one makes when designing a client API (like there's
only one user, or that it can pop-up UI on the applications behalf --
asking for authentication credentials, for instance). These assumptions
-- which make the client application writer's life a lot easier -- make
it unsuitable for use on middle-tier or servers. XMLHTTP is a another
API (technically a COM object), layered on top of WinInet, that makes it
easy to send HTTP requests that contain XML bodies, and to receive and
parse the XML responses. XMLHTTP this inherits the advantages and
disadvantages of WinInet. WinHTTP and ServerXMLHTTP are new
more-or-less-interface-compatible libraries that are designed for
server-side use. MSDN again has lots of information on these APIs. All
of that proxy stuff below is because WinHTTP and ServerXMLHTTP do not
share proxy configuration information with WinInet (which is configured
via the Internet Options Control Panel -- also accessible through IE's
Tool menu). Since it's intended to be deployed on servers, the
server-side libraries have a command-line configuration interface
instead. In other words, it's all by design :), and for that matter,
since all these interfaces support generic HTTP, they're mostly
irrelevant to Microsoft's WebDAV support.

Sean

-----Original Message-----
From: Douglas Steen [mailto:[email-masked]] 
Sent: Wednesday, January 03, 2001 10:44 AM
To: [email-masked]
Subject: RE: FW: WebFolders on Intranet

It is not too surprising that the current versions have intractable
problems; releasing first-version code that works but not quite in all
cases
is pretty standard -- and not only for Microsoft.  Honestly, I give them
a
lot of credit for implementing the standard at all; I know of no other
company their size who has put WebDAV in both their flagship server
(W2K)
and flagship client (Office2K) products.

However, the response "Why don't you use FrontPage extensions?" does
worry
me.  Is this just ignorance of WebDAV from the support staff (which
wouldn't
surprise me), or does it show a larger disregard for the protocol from
within Microsoft?  FrontPage extensions and WebDAV are -- in many
respects
-- duplicate work.  If MS is dropping WebDAV in favor of FrontPage
extensions, or some other standard even, it could spell doom for a
protocol
that has been (to say the least) widely ignored by the technical
community.

    Douglas R. Steen
    [email-masked]

-----Original Message-----
From: Gerbert Orasche [mailto:[email-masked]]
Sent: Wednesday, January 03, 2001 3:21 AM
To: Stewart Hersey; Douglas Steen
Cc: [email-masked]
Subject: RE: FW: WebFolders on Intranet

Stewart,

I am not completely sure, if I have understood your mail properly. As
far as
I understand the WebDAV standard, it does not specifiy if the client
connection is done via a proxy or not. For me that means that a client
has
to support any type of HTTP connection (also if MS is writing the
client)
and if it can not handle direct HTTP it's simply a bug. Any TCPIP client
closes a connection, if the operation should be cancelled or at least
sends
something saying: "Uh, I can't go on". MS WebDAV client does simply
nothing.

Using a proxy is not really an option in many cases (I am still not sure
if
it would help with our problem), because NTLM authentication does not
work
via proxies. Again the WebDAV standard does not mention which HTTP
authentication method has to be used (which is not a flaw at all -
WebDAV
shouldn't have to bother with authentication). Earlier versions of MSs
WebDAV client had severe problems with basic authentication, thus it
worked
well only in combination with NTLM (or perhaps Digest) authentication.

implementation). First answer we got from all MS support levels was:
"Why

Gerbert

[...]

---

From: "Stewart Hersey" <[email-masked]>
Date: Wed, 10 Jan 2001 00:09:30 -0800

Sorry Greg,

Thought you'd never ask...

 Wed, 9 Aug 2000 21:38:54 -0400 (EDT) 

We loaded mod_dav on the Sun's Apache Server and configured a davtest folder.

Initial comments were, "The 'cadaver' command line client has some SSL issues ".

I believe changes were made in release 0.15.2 of cadaver to fix some of these issues.

Anyone interested can see: http://www.webdav.org/cadaver/ and of course, http://www.webdav.org/mod_dav/ .

:-)

G'night.

*S*

Stewart Hersey
www.newma.com
----------------------------------------------
A day without sunshine is like a day in Seattle. 
----------------------------------------------

----- Original Message ----- 
From: "Greg Stein" <[email-masked]>
To: "Stewart Hersey" <[email-masked]>
Cc: "WebDAV WG" <[email-masked]>
Sent: Tuesday, January 09, 2001 11:33 PM
Subject: Re: FW: WebFolders on Intranet

On Tue, Jan 09, 2001 at 10:20:04PM -0800, Stewart Hersey wrote:
> Heya Mac,
> 
> No idea regarding IIS. The little testing John Sellens, Phil Scarr and I performed has been with a
> Sun Ultra 1 SparcStation 143 mhz CPU 320 MB RAM running:
> UNIX(r) System V Release 4.0 with an average of 60 to 80 simultaneous Intranet users.
> 
> We found no significant slowdowns...compared with the average speed w/o WebDAV.

Euh... you gave the hardware, but what DAV server were you using?

Cheers,
-g

-- 
Greg Stein, http://www.lyra.org/